#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, x, p[100];
    int i=1, c=1, a=0;
    printf("Unesite n\n");
    scanf("%d", &n);
    printf("Unesite k\n");
    scanf("%d", &k);
    printf("Unesite x\n");
    scanf("%d", &x);
    x=0;
    printf("Unesite niz p:\n");
    for(int j=0;j<n;j++){
        scanf("%d", &p[j]);

    }
    printf("Niz p:\n");
     for(int j=0;j<n;j++){
        printf("%d ", p[j]);
    }
    printf("\n");
    printf("Resenje:\n");

    for(int j=0;j<n;j++){
            if(n-1-(j-1)>=k){
                 for(int l=0;l<k;l++){
                   if(p[j+l]>0){
                     x=x+c*p[j+l];
                    }
                    else{
                        x=x+c*p[j+l];
                        c=c+1;
                    }
            }
            printf("%d ", x);
            c=1;
            x=0;
            }

    }
    return 0;
}